package de.hft.stuttgart.citydoctor2.gui.tree;

import java.util.List;

import de.hft.stuttgart.citydoctor2.datastructure.Opening;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class AllOpeningsNode extends Renderable {
	
	private final List<Opening> openings;
	
	public AllOpeningsNode(List<Opening> openings) {
		this.openings = openings;
	}

	@Override
	public void refreshTextColor() {
		for (Opening bp : openings) {
			if (bp.containsAnyError()) {
				setStatus(CheckStatus.ERROR);
				return;
			}
		}
		setStatus(CheckStatus.OK);	
	}

	@Override
	public String getText() {
		return "Openings";
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.clearCurrentRender();
	}

}
